Index: c/src/lib/libcpu/i386/ChangeLog
===================================================================
--- c/src/lib/libcpu/i386/ChangeLog	(revision a324355fb87d556edac0fee0138eb393767c5f98)
+++ c/src/lib/libcpu/i386/ChangeLog	(revision 43f67aa4cb88ed671df9ca3404afba8ac42fe459)
@@ -1,2 +1,9 @@
+2002-03-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* cache.c: Include <rtems/score/registers.h> instead of
+	<libcpu/registers.h>.
+	* cpu.h: Ditto. Remove parts moved to score/cpu/i386.
+	* registers.h: Add BIG-FAT warning.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/i386/cache.c
===================================================================
--- c/src/lib/libcpu/i386/cache.c	(revision a324355fb87d556edac0fee0138eb393767c5f98)
+++ c/src/lib/libcpu/i386/cache.c	(revision 43f67aa4cb88ed671df9ca3404afba8ac42fe459)
@@ -6,5 +6,5 @@
 
 #include <rtems.h>
-#include <libcpu/registers.h>
+#include <rtems/score/registers.h>
 #include "cache_.h"
 
Index: c/src/lib/libcpu/i386/cpu.h
===================================================================
--- c/src/lib/libcpu/i386/cpu.h	(revision a324355fb87d556edac0fee0138eb393767c5f98)
+++ c/src/lib/libcpu/i386/cpu.h	(revision 43f67aa4cb88ed671df9ca3404afba8ac42fe459)
@@ -22,6 +22,5 @@
 #define _LIBCPU_i386_CPU_H
 
-#include <libcpu/registers.h>
-
+#include <rtems/score/registers.h>
 
 #ifndef ASM
@@ -30,46 +29,6 @@
  *  Interrupt Level Macros
  */
-
-#define i386_disable_interrupts( _level ) \
-  { \
-    asm volatile ( "pushf ; \
-                    cli ; \
-                    pop %0" \
-                   : "=rm" ((_level)) \
-    ); \
-  }
-
-#define i386_enable_interrupts( _level )  \
-  { \
-    asm volatile ( "push %0 ; \
-                    popf" \
-                    : : "rm" ((_level)) : "cc" \
-    ); \
-  }
-
-#define i386_flash_interrupts( _level ) \
-  { \
-    asm volatile ( "push %0 ; \
-                    popf ; \
-                    cli" \
-                    : : "rm" ((_level)) : "cc" \
-    ); \
-  }
-
-#define i386_get_interrupt_level( _level ) \
-  do { \
-    register unsigned32 _eflags; \
-    \
-    asm volatile ( "pushf ; \
-                    pop %0" \
-                    : "=rm" ((_eflags)) \
-    ); \
-    \
-    _level = (_eflags & EFLAGS_INTR_ENABLE) ? 0 : 1; \
-  } while (0)
-
-#define _CPU_ISR_Disable( _level ) i386_disable_interrupts( _level )
-#define _CPU_ISR_Enable( _level ) i386_enable_interrupts( _level )
-     
+#include <rtems/score/interrupts.h>
+
 /*
  *  Segment Access Routines
@@ -193,11 +152,4 @@
 
 typedef unsigned char  rtems_vector_offset;
-
-struct 	__rtems_raw_irq_connect_data__;
-
-typedef void (*rtems_raw_irq_hdl)		(void);
-typedef void (*rtems_raw_irq_enable)		(const struct __rtems_raw_irq_connect_data__*);
-typedef void (*rtems_raw_irq_disable)		(const struct __rtems_raw_irq_connect_data__*);
-typedef int  (*rtems_raw_irq_is_enabled)	(const struct __rtems_raw_irq_connect_data__*);
 
 typedef struct __rtems_raw_irq_connect_data__{
@@ -249,23 +201,5 @@
 }rtems_raw_irq_global_settings;
 
-/*
- * See page 14.9 Figure 14-2.
- *
- */
-typedef struct {
-  unsigned int low_offsets_bits : 16;
-  unsigned int segment_selector : 16;
-  unsigned int fixed_value_bits : 8;
-  unsigned int gate_type	: 5;
-  unsigned int privilege	: 2;
-  unsigned int present		: 1;
-  unsigned int high_offsets_bits: 16;
-}interrupt_gate_descriptor;
-
-
-/*
- * C callable function enabling to create a interrupt_gate_descriptor
- */
-void create_interrupt_gate_descriptor (interrupt_gate_descriptor*, rtems_raw_irq_hdl);
+#include <rtems/score/idtr.h>
 
 /*
@@ -274,17 +208,4 @@
  */
 rtems_raw_irq_hdl get_hdl_from_vector(rtems_vector_offset);
-
-/*
- * C callable function enabling to get easilly usable info from
- * the actual value of IDT register.
- */
-extern void i386_get_info_from_IDTR (interrupt_gate_descriptor** table,
-				unsigned* limit);
-/*
- * C callable function enabling to change the value of IDT register. Must be called
- * with interrupts masked at processor level!!!.
- */
-extern void i386_set_IDTR (interrupt_gate_descriptor* table,
-		      unsigned limit);
 
 /*
Index: c/src/lib/libcpu/i386/registers.h
===================================================================
--- c/src/lib/libcpu/i386/registers.h	(revision a324355fb87d556edac0fee0138eb393767c5f98)
+++ c/src/lib/libcpu/i386/registers.h	(revision 43f67aa4cb88ed671df9ca3404afba8ac42fe459)
@@ -11,4 +11,6 @@
  *  $Id$
  */
+
+#warning "This file is obsolete, use rtems/score/registers.h instead."
 
 #ifndef _LIBCPU_i386_REGISTERS_H
